<?php

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

class EventbookingHelperOverrideRegistration extends EventbookingHelperRegistration
{
	public static function buildTags($row, $form, $event, $config, $loadCss = true)
	{
		$replaces = parent::buildTags($row, $form, $event, $config, $loadCss);

		// Ticket Types
		if ($event->has_multiple_ticket_types)
		{
			$db    = Factory::getDbo();
			$query = $db->getQuery(true)
				->select('id, title')
				->from('#__eb_ticket_types')
				->where('event_id = ' . $event->id);
			$db->setQuery($query);
			$ticketTypes = $db->loadObjectList('id');

			$query->clear()
				->select('ticket_type_id, quantity')
				->from('#__eb_registrant_tickets')
				->where('registrant_id = ' . $row->id);
			$db->setQuery($query);
			$registrantTickets = $db->loadObjectList();

			$ticketsOutput = [];

			foreach ($registrantTickets as $registrantTicket)
			{
				$ticketsOutput[] = Text::_($ticketTypes[$registrantTicket->ticket_type_id]->title) . ' : Number of tickets ' . $registrantTicket->quantity;
			}

			$replaces['TICKET_TYPES'] = implode(', ', $ticketsOutput);
		}
		
		return $replaces;
	}
}